stages:
    - test
    - build
    - deploy
    - cleanup

variables:
  GIT_STRATEGY: clone
  GIT_SUBMODULE_STRATEGY: recursive

www tests:
# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
  image: registry.gitlab.com/pages/hugo:latest
  stage: test
  script:
  - hugo -s www
  except:
  - master

pages:
# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
  image: registry.gitlab.com/pages/hugo:latest
  
  stage: deploy
  script:
    - hugo -s www -v
    - mkdir .public
    - cp -r www/public/* .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master


#LV tests:
#    stage: test
#    
#    tags:
#        - LV2014
#    
#    script:
#    
#    #
#    # Masscompile sources
#    #
#        - echo 'LabVIEWCLI -OperationName MassCompile -DirectoryToCompile "'$CI_PROJECT_DIR'" -MassCompileLogFile "C:\temp\log.txt" -AppendToMassCompileLog false -NumOfVIsToCache 20 -ReloadLVSBs false'
#        - LabVIEWCLI -OperationName MassCompile -DirectoryToCompile "$CI_PROJECT_DIR" -MassCompileLogFile "C:\temp\log.txt" -AppendToMassCompileLog false -NumOfVIsToCache 20 -ReloadLVSBs false
#    
#    #
#    # Run unit tests
#    #
#        - echo 'LabVIEWCLI -OperationName RunJkiViTester "'$CI_PROJECT_DIR'"\Sources\Unit Tests\TS_Unit tests\TS_Unit tests.lvclass" "$CI_PROJECT_DIR\Sources\test-result.xml"'
#        - LabVIEWCLI -OperationName RunJkiViTester "$CI_PROJECT_DIR\Sources\Unit Tests\TS_Unit tests\TS_Unit tests.lvclass" "$CI_PROJECT_DIR\Sources\test-result.xml"
#    
#    #
#    # Close LabVIEW
#    #
#    
#        - LabVIEWCLI -OperationName CloseLabVIEW
#
#    allow_failure: true
#
#    
#    artifacts:
# 
#        paths:
#            - Sources\test-result.xml
#        reports:
#            junit:
#                - Sources\test-result.xml